Subject: hyperbole does not respect user settings for mail-user-agent

From: Xavier Maillard <[email-masked]>
Date: Fri, 21 Feb 2025 06:24:23 +0100

I am using rmail and sendmail-send-it but each time I do C-x m, I got
this warning:

To disable this warning, set ‘compose-mail-user-agent-warnings’ to nil.
⛔ Warning (mail): The default mail mode is now Message mode.
You have the following Mail mode variable customized:

  mail-send-hook

To use Mail mode, set ‘mail-user-agent’ to sendmail-user-agent.
To disable this warning, set ‘compose-mail-user-agent-warnings’ to nil.

I do not like hyperbole is forcing me to use message-mode and I'd like
it to respect my settings.

I tracked the mail-send-hook till hsmail.el

I use:  Editor:      GNU Emacs 31.0.50 with native comp
    Hyperbole:   9.0.2pre
    Sys Type:    x86_64-apple-darwin24.2.0
    OS Type:     darwin
    Window Sys:  ns
    News Reader: Gnus v5.13
    Install:     melpa, 20250209.1625